/*
int hallSensorPin = 9;     
int redLedPin = 5;
int greenLedPin = 6;    
int state = 0;          
void setup() {
  Serial.begin(9600);
  pinMode(redLedPin, OUTPUT);
  pinMode(greenLedPin, OUTPUT);      
  pinMode(hallSensorPin, INPUT);     
}
void loop(){
  
  state = analogRead(hallSensorPin);
  Serial.println(state);
  if (165 <= state & state < 526) {     
    int northPole = map(state, 525, 165, 0, 255); 
    digitalWrite(greenLedPin, LOW);  
    analogWrite(redLedPin, northPole);  
  } 
  else if (528 < state & state <= 880) {
    int southPole = map(state, 529, 880, 0, 255); 
    digitalWrite(redLedPin, LOW); 
    analogWrite(greenLedPin, southPole); 
  }
  else{
    digitalWrite(redLedPin, LOW);
    digitalWrite(greenLedPin, LOW);
  }
}*/

//Pin numbers
int hallSensorPin = 9;     
int redLedPin = 5;
int greenLedPin = 6;    
int state = 0; // Store switch state        
void setup() {
  Serial.begin(9600);
  // LEDs are outputs
  pinMode(redLedPin, OUTPUT);
  pinMode(greenLedPin, OUTPUT);   
  // Sensor is input
  pinMode(hallSensorPin, INPUT);     
}
void loop(){
  // Ready sensor state and print it
  state = digitalRead(hallSensorPin);
  Serial.println(state);
  if (state == LOW) { // if there is no south pole magnetic field, turn on the red LED
    digitalWrite(greenLedPin, LOW);
    digitalWrite(redLedPin, HIGH);
  }
  else{ // If there is a south pole magnetic field, turn on the green LED.
    int southPole = map(state, 529, 880, 0, 255); 
    digitalWrite(redLedPin, LOW); 
    digitalWrite(greenLedPin, HIGH); 
  }

}
